pkgname=lunaos-gnome-settings
pkgdesc='LunaOS GNOME Settings'
pkgver=.
pkgrel=1
arch=('any')
groups=('lunaos')
url="https://gitlab.com/LunaOS/iso/gnome/lunaos-gnome-settings"
license=('GPL')
makedepends=('coreutils')
source=("$pkgname::git+https://gitlab.com/LunaOS/iso/gnome/lunaos-gnome-settings.git")
sha512sums=('SKIP')
depends=('gnome-shell-extension-appindicator'
         'gnome-shell-extension-legacy-theme-auto-switcher'
         'gnome-shell-extension-dash-to-dock'
         'gnome-shell-extension-blur-my-shell'
         'gnome-shell-extension-stealmyfocus'
         'gnome-shell-extension-clipboard-indicator'
         'gnome-shell-extension-disable-unredirect'
         'gnome-shell'
         'mutter'
         'gnome-tweaks'
         'adw-gtk-theme'
         'nautilus'
         'papirus-icon-theme'
         'nautilus-copy-path'
         'colloid-kvantum-theme'
         'qt5ct'
         'qt6ct'
         'kvantum-qt5'
         'kvantum'
         'loupe'
         'qogir-cursor-theme-git'
         'nautilus-backspace-back-gtk4'
         'gnome-shell-extension-gjs-osk-git'
         )
optdepends=(
    'pamac: Package Manager'
    )

install=$pkgname.install
backup=('etc/profile.d/gnome.sh')
provides=('lunaos-gnome-settings')
conflicts=('lunaos-gnome-settings')

pkgver() {
	cd "$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

package() {
    install -d $pkgdir/etc
    install -d $pkgdir/usr
    cp -rf $srcdir/$pkgname/etc $pkgdir
    cp -rf $srcdir/$pkgname/usr $pkgdir
}
